सामग्री पर जाएँ

LTX Video (preview)

इंटीग्रेट करें

मॉडल id ltx-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/ltx-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध: $0.02 20 API क्रेडिट इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें

प्रारंभिक पूर्वावलोकन टेक्स्ट-टू-वीडियो मॉडल, जो केवल प्रॉम्प्ट से क्लिप बनाता है

Lightricks · वीडियो

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक

वीडियो निर्माण के आधार के रूप में उपयोग किया गया प्रॉम्प्ट।

उन्नत negative_prompt · num_inference_steps · guidance_scale · seed · enable_safety_checker
डिफ़ॉल्ट low quality, worst qu...

वीडियो निर्माण के दौरान उपयोग किया जाने वाला नकारात्मक प्रॉम्प्ट।

डिफ़ॉल्ट 30

किए जाने वाले इन्फ़रेंस चरणों की संख्या।

डिफ़ॉल्ट 3

गाइडेंस स्केल सेटिंग।

रैंडम संख्या जनरेटर के लिए सीड मान।

POST /run/ltx-video?wait=20 कोटेशन → $0.02
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/ltx-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

LTX Video (preview) के बारे में

टेक्स्ट `prompt` से वीडियो बनाता है, इसमें कोई इमेज या वीडियो इनपुट नहीं होता। नियंत्रण `negative_prompt`, `seed`, `num_inference_steps` (1 से 50, डिफ़ॉल्ट 30) और `guidance_scale` (1 से 10, डिफ़ॉल्ट 3) हैं। त्वरित प्रॉम्प्ट-से-क्लिप निर्माण के लिए यह बुनियादी, न्यूनतम-पैरामीटर विकल्प है।

पैरामीटर

नामप्रकार डिफ़ॉल्टअनुमत विवरण
promptआवश्यक
प्रकारstring
वीडियो निर्माण के आधार के रूप में उपयोग किया गया प्रॉम्प्ट।
negative_promptवैकल्पिक
प्रकारstring
डिफ़ॉल्टlow quality, worst quality, deformed, distorted, disfigured, motion smear, motion artifacts, fused fingers, bad anatomy, weird hand, ugly
वीडियो निर्माण के दौरान उपयोग किया जाने वाला नकारात्मक प्रॉम्प्ट।
seedवैकल्पिक
प्रकारinteger | null
रैंडम संख्या जनरेटर के लिए सीड मान।
num_inference_stepsवैकल्पिक
प्रकारinteger
डिफ़ॉल्ट30
1 – 50
किए जाने वाले इन्फ़रेंस चरणों की संख्या।
guidance_scaleवैकल्पिक
प्रकारnumber
डिफ़ॉल्ट3
≤ 10> 1
गाइडेंस स्केल सेटिंग।
enable_safety_checkerवैकल्पिक
प्रकारboolean
डिफ़ॉल्टtrue
यदि कॉलर अधिकृत है, तो false सेट करके स्क्रीनिंग में ढील दी जा सकती है।
आवश्यक

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "ltx-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 20,
    "usd": "0.02",
    "charged": 20,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    },
    "seed": 42
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
video
object {url, content_type, file_name, file_size}मॉडल द्वारा बनाया गया वीडियो।
seed
integerरैंडम संख्या जनरेटर द्वारा उपयोग किया जाने वाला सीड मान।

और मॉडल: टेक्स्ट से वीडियो

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/ltx-video.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt